qtscriptgenerator 0.2.0-1 source package in Ubuntu

Changelog

qtscriptgenerator (0.2.0-1) unstable; urgency=low


  * New upstream release.
  * Update upstream_support_later_phonon.diff patch to support Phonon 4.6.
    Thanks to Felix Geyer. (Closes: #662771)
  * Bump debhelper compat level to 9 in order to gain build flag support.
  * Remove custom build flag management code from debian/rules.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Add multi-arch support:
    - build depend on multi-arch aware Qt 4.8.0;
    - switch libqtscript4-qtbindings to Architecture:any and mark it
      Multi-Arch:same;
    - mark all bindings package Multi-Arch: same and add to ${misc:Pre-Depends}
      to their Pre-Depends.
    - install plugins into multiarch path (/usr/lib/<arch>/qt4/).
  * Fix package descriptions. Thanks to Martin Eberhard Schauer for the patch.
    (Closes: #634171)
  * Fix FTBFS with gcc 4.7 (patch upstream_gcc4.7_fix.diff).

 -- Modestas Vainius <email address hidden>  Tue, 01 May 2012 19:49:21 +0300

Upload details

Uploaded by:
Modestas Vainius on 2012-05-02
Uploaded to:
Sid
Original maintainer:
Modestas Vainius
Architectures:
any all
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Artful release on 2017-04-20 universe libs
Xenial release on 2015-10-22 universe libs
Trusty release on 2013-10-18 universe libs

Downloads

File Size SHA-256 Checksum
qtscriptgenerator_0.2.0-1.dsc 2.1 KiB b6167d200a2429a7ca3945d26a862c80998b9dff71fd6b9397114d9b244080bb
qtscriptgenerator_0.2.0.orig.tar.gz 370.9 KiB 895feb274470b9272264c7a141e5bd7f90c92e95d37f346f5f95a352541c8e69
qtscriptgenerator_0.2.0-1.debian.tar.gz 10.7 KiB 7b84477278a802c82026c6b226b64474c0376d3956d597289772177352a5cfaf

No changes file available.

Binary packages built by this source

libqtscript4-core: No summary available for libqtscript4-core in ubuntu quantal.

No description available for libqtscript4-core in ubuntu quantal.

libqtscript4-core-dbgsym: debug symbols for package libqtscript4-core

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 Core library.

libqtscript4-doc: No summary available for libqtscript4-doc in ubuntu quantal.

No description available for libqtscript4-doc in ubuntu quantal.

libqtscript4-gui: No summary available for libqtscript4-gui in ubuntu raring.

No description available for libqtscript4-gui in ubuntu raring.

libqtscript4-gui-dbgsym: debug symbols for libqtscript4-gui
libqtscript4-network: No summary available for libqtscript4-network in ubuntu yakkety.

No description available for libqtscript4-network in ubuntu yakkety.

libqtscript4-network-dbgsym: debug symbols for libqtscript4-network
libqtscript4-opengl: QtScript bindings for the Qt 4 OpenGL library

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 OpenGL library.

libqtscript4-opengl-dbgsym: No summary available for libqtscript4-opengl-dbgsym in ubuntu yakkety.

No description available for libqtscript4-opengl-dbgsym in ubuntu yakkety.

libqtscript4-phonon: No summary available for libqtscript4-phonon in ubuntu wily.

No description available for libqtscript4-phonon in ubuntu wily.

libqtscript4-phonon-dbgsym: No summary available for libqtscript4-phonon-dbgsym in ubuntu zesty.

No description available for libqtscript4-phonon-dbgsym in ubuntu zesty.

libqtscript4-qtbindings: No summary available for libqtscript4-qtbindings in ubuntu vivid.

No description available for libqtscript4-qtbindings in ubuntu vivid.

libqtscript4-sql: No summary available for libqtscript4-sql in ubuntu vivid.

No description available for libqtscript4-sql in ubuntu vivid.

libqtscript4-sql-dbgsym: debug symbols for libqtscript4-sql
libqtscript4-svg: No summary available for libqtscript4-svg in ubuntu yakkety.

No description available for libqtscript4-svg in ubuntu yakkety.

libqtscript4-svg-dbgsym: debug symbols for package libqtscript4-svg

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 SVG library.

libqtscript4-uitools: QtScript bindings for the Qt 4 UiTools library

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 UiTools library.

libqtscript4-uitools-dbgsym: debug symbols for package libqtscript4-uitools

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 UiTools library.

libqtscript4-webkit: No summary available for libqtscript4-webkit in ubuntu zesty.

No description available for libqtscript4-webkit in ubuntu zesty.

libqtscript4-webkit-dbgsym: No summary available for libqtscript4-webkit-dbgsym in ubuntu zesty.

No description available for libqtscript4-webkit-dbgsym in ubuntu zesty.

libqtscript4-xml: QtScript bindings for the Qt 4 XML library

 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 XML library.

libqtscript4-xml-dbgsym: No summary available for libqtscript4-xml-dbgsym in ubuntu yakkety.

No description available for libqtscript4-xml-dbgsym in ubuntu yakkety.

libqtscript4-xmlpatterns: No summary available for libqtscript4-xmlpatterns in ubuntu raring.

No description available for libqtscript4-xmlpatterns in ubuntu raring.

libqtscript4-xmlpatterns-dbgsym: debug symbols for libqtscript4-xmlpatterns
qtscript-tools: No summary available for qtscript-tools in ubuntu quantal.

No description available for qtscript-tools in ubuntu quantal.

qtscript-tools-dbgsym: debug symbols for package qtscript-tools

 This package contains QtScript Generator and a simple helper program which
 can be used to launch scripts from the command line.
 .
 QtScript Generator is a tool that generates Qt bindings for QtScript. With
 the generated bindings you get access to substantial portions of the Qt API
 from within QtScript. The binary has been renamed to 'qs_generator' in this
 package.
 .
 qs_eval is a simple script interpreter / launcher that imports all the
 bindings. You can use it to run examples found in the libqtscript4-doc
 package.